plugins {
    kotlin("jvm")
    id("io.spring.dependency-management")
    jacoco
}

group = "space.nstart.pcp"
version = "1.0.0"

kotlin {
    jvmToolchain((property("versions.java") as String).toInt())
    compilerOptions {
        freeCompilerArgs.addAll("-Xjsr305=strict")
        jvmTarget.set(org.jetbrains.kotlin.gradle.dsl.JvmTarget.fromTarget(property("versions.java") as String))
    }
}

dependencies {
    api(project(":libs:ballistics-lib"))

    testImplementation("org.jetbrains.kotlin:kotlin-test-junit5")
    testRuntimeOnly("org.junit.platform:junit-platform-launcher")
}

dependencyManagement {
    imports {
        mavenBom("org.springframework.boot:spring-boot-dependencies:${property("versions_spring_boot")}")
    }
}

tasks.withType<Test> {
    useJUnitPlatform()
}
